<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.FormulaEvaluator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.FormulaEvaluator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/FormulaEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.FormulaEvaluator" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.FormulaEvaluator
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFFormulaEvaluator</a></span></code>
                                <div class="block">Evaluates formula cells.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></span>(java.util.Map&lt;java.lang.String,<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                    title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;evaluators)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                    title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a></span></code>
                                <div class="block">Common functionality across file formats for evaluating formula
                                    cells.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.usermodel.FormulaEvaluator-">evaluateAllFormulaCells</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                    title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">CollaboratingWorkbooksEnvironment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.html#setupFormulaEvaluator-java.util.Map-">setupFormulaEvaluator</a></span>(java.util.Map&lt;java.lang.String,<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                    title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;evaluators)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseFormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></span>(java.util.Map&lt;java.lang.String,<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                    title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;evaluators)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                    title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CreationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CreationHelper.html#createFormulaEvaluator--">createFormulaEvaluator</a></span>()</code>
                                <div class="block">Creates FormulaEvaluator - an object that evaluates formula cells.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataFormatter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.FormulaEvaluator-">formatCellValue</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator)</code>
                                <div class="block">
                                    Returns the formatted value of a cell as a <tt>String</tt> regardless
                                    of the cell type.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataFormatter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataFormatter.html#formatCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.FormulaEvaluator-org.apache.poi.ss.formula.ConditionalFormattingEvaluator-">formatCellValue</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator,
                                <a href="../../../../../../org/apache/poi/ss/formula/ConditionalFormattingEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">ConditionalFormattingEvaluator</a>&nbsp;cfEvaluator)</code>
                                <div class="block">
                                    Returns the formatted value of a cell as a <tt>String</tt> regardless
                                    of the cell type.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></span>(java.util.Map&lt;java.lang.String,<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                    title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;workbooks)</code>
                                <div class="block">Sets up the Formula Evaluator to be able to reference and resolve
                                    links to other workbooks, eg [Test.xls]Sheet1!A1.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.streaming">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/streaming/SXSSFFormulaEvaluator.html"
                                    title="class in org.apache.poi.xssf.streaming">SXSSFFormulaEvaluator</a></span></code>
                                <div class="block">Streaming-specific Formula Evaluator, which is able to
                                    lookup cells within the current Window.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                   title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                                    title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a></span></code>
                                <div class="block">Internal POI use only - parent of XSSF and SXSSF formula evaluators
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFFormulaEvaluator</a></span></code>
                                <div class="block">Evaluates formula cells.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/FormulaEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
